aboutsummaryrefslogtreecommitdiff
path: root/net/mail/mailman
diff options
context:
space:
mode:
authorrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2006-11-15 23:26:51 +0000
committerrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2006-11-15 23:26:51 +0000
commitcd9316f69c48d97ae392fddd3893303084828c89 (patch)
treefd0eeed5ed8438fc1a962574e326628243033ecc /net/mail/mailman
parent8bbb46776a6ba3ff0a9e130c22b7ec3a6504c3ed (diff)
downloadslackbuilds-cd9316f69c48d97ae392fddd3893303084828c89.tar.gz
slackbuilds-cd9316f69c48d97ae392fddd3893303084828c89.tar.bz2
movendo...
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@681 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'net/mail/mailman')
-rwxr-xr-xnet/mail/mailman/mailman.SlackBuild30
-rwxr-xr-xnet/mail/mailman/mailman.build114
2 files changed, 144 insertions, 0 deletions
diff --git a/net/mail/mailman/mailman.SlackBuild b/net/mail/mailman/mailman.SlackBuild
new file mode 100755
index 00000000..66ba28d6
--- /dev/null
+++ b/net/mail/mailman/mailman.SlackBuild
@@ -0,0 +1,30 @@
+#!/bin/bash
+#
+# SlackBuild script to call mailman.build with correct settings
+#
+
+CWD="`pwd`"
+
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# default settings
+PACKAGE="mailman"
+VERSION=${VERSION:=2.1.9}
+ARCH="${ARCH:=i486}"
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+rm -rf $TMP/$PACKAGE
+mkdir -p $SRC_DIR/$PACKAGE $TMP/$PACKAGE
+
+slacktrack -b $REPOS -x $TMP,$SRC_DIR,/dev -jefkzp "$PACKAGE-$VERSION-$ARCH-$BUILD.tgz" "./$PACKAGE.build"
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP/$PACKAGE
+fi
diff --git a/net/mail/mailman/mailman.build b/net/mail/mailman/mailman.build
new file mode 100755
index 00000000..6aa5a88e
--- /dev/null
+++ b/net/mail/mailman/mailman.build
@@ -0,0 +1,114 @@
+#!/bin/bash
+#
+# build script for mailman
+# by rhatto at riseup.net by rhatto | gpl
+# build it with slacktrack, example:
+#
+# ARCH=x86_64 slacktrack -jefkzp "mailman-2.1.9-x86_64-1rha.tgz" "./mailman.build"
+#
+
+CWD="`pwd`"
+
+if [ -f "/etc/slackbuildrc" ]; then
+ source /etc/slackbuildrc
+fi
+
+if [ -f "~/.slackbuildrc" ]; then
+ source ~/.slackbuildrc
+fi
+
+# default settings
+PACKAGE="mailman"
+TMP=${TMP:=/tmp}
+VERSION=${VERSION:=2.1.9}
+ARCH=${ARCH:=i486}
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+PREFIX="/usr/local"
+
+if ! grep -qe "^$PACKAGE:" /etc/passwd || ! grep -qe "^$PACKAGE:" /etc/group; then
+ echo "WARNING: user and/or group $PACKAGE does not exist"
+ echo "Create it manually with \"groupadd $PACKAGE ; useradd $PACKAGE -g $PACKAGE\" and run this script again."
+ exit 1
+fi
+
+if [ "$ARCH" == "x86_64" ]; then
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+RTOOL="wget"
+PACKAGE_EXT="tgz"
+SRC="$PACKAGE-$VERSION.$PACKAGE_EXT"
+URL="http://easynews.dl.sourceforge.net/sourceforge/mailman/$SRC"
+
+SRC_DIR="$SRC_DIR/$PACKAGE"
+
+if [ ! -d "$SRC_DIR" ]; then
+ mkdir -p $SRC_DIR
+fi
+
+if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC"
+fi
+
+if [ "$PACKAGE_EXT" == "bz2" ]; then
+ tarflag="j"
+else
+ tarflag="z"
+fi
+
+mkdir -p $PREFIX/mailman
+cd $PREFIX/mailman && chgrp mailman . && chmod a+rx,g+ws .
+
+TMP="$TMP/$PACKAGE"
+
+if [ ! -d "$TMP" ]; then
+ mkdir -p $TMP
+fi
+
+cd $TMP
+
+tar xvf$tarflag $SRC_DIR/$SRC
+cd $PACKAGE-$VERSION
+
+# config and install!
+mkdir -p /install
+
+./configure --with-mail-gid=nogroup --prefix=$PREFIX/mailman/
+make || exit 32
+make install
+
+mv $PREFIX/mailman/Mailman/mm_cfg.py $PREFIX/mailman/Mailman/mm_cfg.py.new
+
+# make the package
+
+cat << EOF > /install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+mailman: mailman (A mailing list manager with an integrated Web interface)
+mailman:
+mailman: GNU Mailman is software to help manage email discussion lists and
+mailman: e-newsletters. Its integrated Web interface provides easy-to-use
+mailman: access for list members and list administrators. Mailman supports
+mailman: built-in archiving, automatic bounce processing, content filtering,
+mailman: digest delivery, spam filters, topics, Usenet gateways, and more.
+mailman: It is fully internationalized, and supports digests and email
+mailman: commands. It runs on any Linux or Unix-like operating system and is
+mailman: compatible with most email and Web servers, mail readers, and Web
+mailman: browsers.
+EOF
+
+# install script
+echo '( chroot . /sbin/ldconfig )' > /install/doinst.sh
+echo '( if ! grep -qe "^mailman:" etc/group; then echo creating group mailman... ; chroot . /usr/sbin/groupadd mailman; fi )' >> /install/doinst.sh
+echo '( if ! grep -qe "^mailman:" etc/passwd; then echo creating user mailman... ; chroot . /usr/sbin/useradd mailman -g mailman; fi )' >> /install/doinst.sh
+echo '( if [ ! -f "usr/local/mailman/Mailman/mm_cfg.py" ]; then mv usr/local/mailman/Mailman/mm_cfg.py.new usr/local/mailman/Mailman/mm_cfg.py; fi )' >> /install/doinst.sh
+echo '( chroot . /usr/bin/chwon -R mailman.mailman /usr/local/mailman )' >> /install/doinst.sh